Bug 1574189 - [LLNL RHDTS FEAT] add PKG_CONFIG_PATH to scl enable
Summary: [LLNL RHDTS FEAT] add PKG_CONFIG_PATH to scl enable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: devtoolset-meta
Version: DTS 7.1 RHEL 7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 7.1
Assignee: Marek Polacek
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks: 1517824
TreeView+ depends on / blocked
 
Reported: 2018-05-02 18:44 UTC by Ben Woodard
Modified: 2018-11-13 08:38 UTC (History)
6 users (show)

Fixed In Version: devtoolset-8-8.0-2.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-11-13 08:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3561 0 None None None 2018-11-13 08:38:26 UTC

Description Ben Woodard 2018-05-02 18:44:43 UTC
Description of problem:
This may be a RFE for scl-utils rather than DTS but it probably only applies to the DTS SCL and so I filed it here.

scl enable devtoolset-7
should be setting PKG_CONFIG_PATH to:
PKG_CONFIG_PATH=/opt/rh/devtoolset-7/root/usr/lib64/pkgconfig:$PKG_CONFIG_PATH`

So that we pick up the libraries for devtoolset

Comment 2 Marek Polacek 2018-05-02 18:48:15 UTC
Too late for DTS 7, moving out to DTS 8.

Is there a specific testcase or is this just a would-be-nice-to-have thing?  Nobody has ever asked for this, and DTS has been around for a couple years now...

Comment 3 Ben Woodard 2018-05-02 19:04:25 UTC
For example:

$ rpm -qlp devtoolset-7-valgrind-devel-3.13.0-11.el7.aarch64.rpm | grep pc$
/opt/rh/devtoolset-7/root/usr/lib64/pkgconfig/valgrind.pc

Comment 4 Marek Polacek 2018-06-27 18:38:12 UTC
The enable script in devtoolset-8-runtime now has:
export PKG_CONFIG_PATH=/opt/rh/devtoolset-8/root/usr/lib64/pkgconfig${PKG_CONFIG_PATH:+:${PKG_CONFIG_PATH}}

Comment 6 Martin Cermak 2018-11-07 14:26:46 UTC
Looks fine, seems to export the expected thing (and preserve original value if there was some).  Verified with devtoolset-8-8.0-2.el{6,7}.

Comment 8 errata-xmlrpc 2018-11-13 08:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3561


Note You need to log in before you can comment on or make changes to this bug.